Status: Closed Priority: High
Updated: 02/07/2012 Due date:

Subject: Extend snf-admin to support Image registration for Plankton

Description

Extend the snf-admin command-line tool to support image registration for Plankton, with pithos:-based URIs.

This will be used by the administrator to register a file on a Pithos backend with Plankton.

Alternatively, the pithos-sh tool may be extended to provide a similar functionality.

Related issues:

related to Synnefo - Feature # 989: Glance API Implementation (Plankton Service) Closed 08/03/2011 11/11/2011

Associated revisions

Revision 5adfb622 - 12/12/2011 07:00 pm - Giorgos Verigakis

snf-admin improvements

    -  Add an "upload" command that uploads images to

  Pithos.

    -  Add -p argument to "image list" to list images

  stored in Pithos.

    -  Add "update" command to modify an image stored

  in Pithos.
Revision 921355f8 - 12/13/2011 05:43 pm - Giorgos Verigakis

Add Pithos support in register and meta commands
Revision d2df1ace - 12/13/2011 05:44 pm - Giorgos Verigakis

Add some docs about the use of snf-admin

Refs #1746

History

#1 - 12/13/2011 05:55 pm - Giorgos Verigakis

image register command has been extended to allow Pithos URLs.

Additionally, image list and image meta commands have also been extended and new image upload and image update commands have been added.
#2 - 02/07/2012 12:11 pm - Vangelis Koukis

- Status changed from Assigned to Closed

This functionality has been moved to the ./kamaki client, which is the recommended way for uploading images to Pithos and registering them with

Plankton. Closing ticket.
